# SDL Visual Test: C:/Users/DELL/Work/sdlvisualtest/visualtest/src/sut_configparser.c File Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
sut_configparser.c File Reference
`#include <limits.h>`
`#include <string.h>`
`#include <SDL_test.h>`
`#include <SDL_rwops.h>`
`#include "SDL_visualtest_sut_configparser.h"`
`#include "SDL_visualtest_parsehelper.h"`
`#include "SDL_visualtest_rwhelper.h"`

## Functions

int | SDLVisualTest_ParseSUTConfig (char *file, SDLVisualTest_SUTConfig *config)
void | SDLVisualTest_FreeSUTConfig (SDLVisualTest_SUTConfig *config)

## Detailed Description

Source file for the parser for SUT config files.

## Function Documentation

void SDLVisualTest_FreeSUTConfig | ( | SDLVisualTest_SUTConfig * | config) |  |

Free any resources associated with the config object pointed to by `config`.

int SDLVisualTest_ParseSUTConfig | ( | char * | file,
|  | SDLVisualTest_SUTConfig * | config
| ) |  |

Parses a configuration file that describes the command line options an SUT application will take and populates a SUT config object. All lines in the config file must be smaller than

Parameters

  file | Path to the configuration file.
  config | Pointer to an object that represents an SUT configuration.

Returns
  zero on failure, non-zero on success